# binaryninja.downloadprovider.Setting

class `binaryninja.downloadprovider.``Setting`(plugin_name='core')
  `__init__`(plugin_name='core')

  Methods

  `__init__`([plugin_name]) |
  `get_bool`(name[, default_value]) |
  `get_double`(name[, default_value]) |
  `get_integer`(name[, default_value]) |
  `get_integer_list`(name[, default_value]) |
  `get_string`(name[, default_value]) |
  `get_string_list`(name[, default_value]) |
  `is_bool`(name) |
  `is_double`(name) |
  `is_integer`(name) |
  `is_integer_list`(name) |
  `is_present`(name) |
  `is_string`(name) |
  `is_string_list`(name) |
  `remove_setting`(setting[, auto_flush]) |
  `remove_setting_group`([auto_flush]) |
  `set`(name, value[, auto_flush]) |
  `set_bool`(name, value[, auto_flush]) |
  `set_double`(name, value[, auto_flush]) |
  `set_integer`(name, value[, auto_flush]) |
  `set_integer_list`(name, value[, auto_flush]) |
  `set_string`(name, value[, auto_flush]) |
  `set_string_list`(name, value[, auto_flush]) |